<form name="editForm" role="form" novalidate #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title" id="myShipmentOutgoingLabel">Manual Matching</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
    </div>
    <div class="modal-body">
        <span class="ui-g-4"><label class="form-control-label"></label>No. Rangka :</span>
        <input class="ui-g-8" [disabled]="true" type="text" [(ngModel)]="customShipment.idframe" name="noka" style="width:50%" />
        <span class="ui-g-4"><label class="form-control-label"></label>No. Mesin :</span>
        <input class="ui-g-8" pInputText type="text" [disabled]="true" [(ngModel)]="customShipment.idMachine" name="nosin"
            style="width:50%" />
        <p-dataTable [value]="shipmentMatching" [responsive]="true" dataKey="idinvite" expandableRows="false">
            <p-header>
            </p-header>
            <p-column header="No Rangka" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idframe}}
                </ng-template>
            </p-column>
            <p-column header="No Mesin" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idmachine}}
                </ng-template>
            </p-column>
            <p-column header="Kode Tipe" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idproduct}}
                </ng-template>
            </p-column>
            <p-column header="Date Created" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateCreate}}
                </ng-template>
            </p-column>
            <p-column header="Aksi" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit" (click)="pilih(rowData)" label="Pilih">
                    </button>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    </div>
    <div class="modal-footer">
    </div>
</form>

<p-confirmDialog></p-confirmDialog>